package net.voltexstudios.applicationLobby.holograms;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;

import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;

public class HologramDataUtil {

    private static final Gson gson = new GsonBuilder().setPrettyPrinting().create();
    private static final String npcDataPath = "plugins/ApplicationLobby/npcData.json";

    public static void saveHologramData() {
        File folder = new File("plugins/ApplicationLobby");

        if(!folder.exists()) {
            folder.mkdirs();
        }

        try(FileWriter fileWriter = new FileWriter(npcDataPath)) {
            gson.toJson(HologramService.getInstance().getHologramData(), fileWriter);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public static HologramData loadHologramData() {
        try(FileReader fileReader = new FileReader(npcDataPath)) {
            return gson.fromJson(fileReader, HologramData.class);
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }
}
