package net.voltexstudios.applicationLobby.phone.items;

import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.event.ClickEvent;
import net.kyori.adventure.text.format.NamedTextColor;
import net.voltexstudios.applicationLobby.ApplicationLobby;
import net.voltexstudios.applicationLobby.phone.AppItem;
import org.bukkit.entity.Player;
import org.bukkit.event.inventory.ClickType;
import org.bukkit.event.inventory.InventoryClickEvent;
import org.jetbrains.annotations.NotNull;
import xyz.xenondevs.inventoryaccess.component.ComponentWrapper;

public class LinkAppItem extends AppItem {

    private final String link;

    public LinkAppItem(String link, ComponentWrapper name, ComponentWrapper... lore) {
        super(name, lore);
        this.link = link;
    }

    @Override
    public void handleClick(@NotNull ClickType clickType, @NotNull Player player, @NotNull InventoryClickEvent inventoryClickEvent) {
        Component clickableMessage = ApplicationLobby.PREFIX.append(
                Component.text("Klicke hier, um die Webseite zu öffnen!")
                        .color(NamedTextColor.RED)
                        .clickEvent(ClickEvent.openUrl(link))
                        .hoverEvent(Component.text("Öffne die Webseite im Browser"))
        );

        player.sendMessage(clickableMessage);
        player.closeInventory();
    }
}
