package net.voltexstudios.applicationLobby.util;

import net.voltexstudios.applicationLobby.ApplicationLobby;
import net.voltexstudios.applicationLobby.holograms.HologramService;
import net.voltexstudios.applicationLobby.phone.PhoneManager;
import org.bukkit.GameMode;
import org.bukkit.Location;
import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.inventory.EquipmentSlot;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.meta.ItemMeta;

public final class PlayerUtil {

    private PlayerUtil() {
    }

    public static void handlePlayerJoin(Player player) {

        Location spawnLocation = ApplicationLobby.getInstance().getSpawnLocation();
        if (spawnLocation == null) {
            return;
        }
        player.teleport(spawnLocation);
        player.setGameMode(GameMode.ADVENTURE);

        giveLobbyItems(player);

        EyeTrace eyeTrace = new EyeTrace(player);
        eyeTrace.runTaskTimer(ApplicationLobby.getInstance(), 0, 1);
        ApplicationLobby.getInstance().getEyeTraces().put(player, eyeTrace);
    }

    public static void handlePlayerQuit(Player player) {
        HologramService.getInstance().removeHovering(player);

        EyeTrace eyeTrace = ApplicationLobby.getInstance().getEyeTraces().get(player);
        if (eyeTrace != null) {
            eyeTrace.cancel();
        }
        ApplicationLobby.getInstance().getEyeTraces().remove(player);

        HologramService.getInstance().removePlayerDisplays(player);
    }

    private static void giveLobbyItems(Player player) {
        player.getInventory().clear();

        //give invisible offhand item
        ItemStack offHand = new ItemStack(Material.DIAMOND);
        ItemMeta meta = offHand.getItemMeta();
        meta.setCustomModelData(1);
        offHand.setItemMeta(meta);
        player.getInventory().setItem(EquipmentSlot.OFF_HAND, offHand);

        //give phone
        player.getInventory().setItem(0, PhoneManager.getInstance().getPhoneItem().getItemStack());

        player.updateInventory();
    }

}
