package net.voltexstudios.applicationLobby.util;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import org.bukkit.Location;

import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;

public class SpawnUtil {

    private static final Gson gson = new GsonBuilder().setPrettyPrinting().create();

    public static void setSpawnLocation(Location location) {

        File folder = new File("plugins/ApplicationLobby");

        if(!folder.exists()) {
            folder.mkdirs();
        }

        SimpleLocation simpleLocation = new SimpleLocation(location);

        try(FileWriter fileWriter = new FileWriter("plugins/ApplicationLobby/spawn.json")) {
            gson.toJson(simpleLocation, fileWriter);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public static SimpleLocation getSpawnLocation() {
        try(FileReader fileReader = new FileReader("plugins/ApplicationLobby/spawn.json")) {
            return gson.fromJson(fileReader, SimpleLocation.class);
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }


}
